# Change operating mode This endpoint allows you to change a device operating mode. The options are: "PDV", that is when a device is used in integration with our API, and "STANDALONE", that is when you want to process payments in a device without our API. In case of success, the request will return a response with status 200. **PATCH** `/point/integration-api/devices/{device_id}` ## Request parameters ### Path - `device_id` (string, required) Identifier of the device for which you want to change the operating mode. You must send it according to the following format: "type of device + “__” + device serial". - `operating_mode` (string, optional) Mode in which you want the device to operate. It can be one of the two that follows. Possible enum values: - `PDV` Point of Sale, integrated mode with the API. - `STANDALONE` Default device configuration. Mode not integrated with the API. ## Response parameters - `operating_mode` (string, optional) Mode in which the device is set to operate. Possible enum values: - `PDV` Point of sale, integrated mode with the API. - `STANDALONE` Default device configuration. Mode not integrated with the API. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 103 | The value sent for the device_id is not correct. Check the value corresponding to the desired device and try again. | | 403 | 113 | The device type declared in the device_id is incorrect or invalid. Check the value of the device_id that declares the device type and try again, considering that the structure of the 'device_id' field is "type of device + “__” + device serial". | | 404 | not_found | The device serial number declared in the device_id is incorrect or invalid. Check the value of the device_id that declares the device serial number and try again, considering that the structure of the 'device_id' field is "type of device + “__” + device serial". | | 500 | 500 | Internal error. Please try submitting the request again. | ## Request example ### cURL ```bash curl -X PATCH \ 'https://api.mercadopago.com/point/integration-api/devices/{device_id}' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "operating_mode": "PDV" }' ``` ## Response example ```json { "operating_mode": "PDV" } ```